## net.sf.saxon.sort
Class DescendingComparer

    java.lang.Object
      net.sf.saxon.sort.DescendingComparer

All Implemented Interfaces:
  java.util.Comparator, java.io.Serializable

public class DescendingComparer
extends java.lang.Object
implements java.util.Comparator, java.io.Serializable

A Comparer used for comparing descending keys

See Also:
  Serialized Form

Constructor Summary
`DescendingComparer(java.util.Comparator base)`

Method Summary
`int` `compare(java.lang.Object a, java.lang.Object b)` Compare two objects.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### DescendingComparer

    public DescendingComparer(java.util.Comparator base)

Method Detail

### compare

    public int compare(java.lang.Object a,
                       java.lang.Object b)

  Compare two objects.

  Specified by:
    `compare` in interface `java.util.Comparator`
  Returns:
    <0 if a<b, 0 if a=b, >0 if a>b
  Throws:
    `java.lang.ClassCastException` - if the objects are of the wrong type for this Comparer